org.apache.pdfbox.pdmodel.interactive.action

## Class PDActionRemoteGoTo

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAction
  - - org.apache.pdfbox.pdmodel.interactive.action.PDActionRemoteGoTo

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

    public class PDActionRemoteGoTo
    extends PDAction

This represents a remote go-to action that can be executed in a PDF document.

Author:
  Ben Litchfield, Panagiotis Toumasis

### Field Summary

Fields
`static String` `SUB_TYPE` This type of action this object represents.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`action, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PDActionRemoteGoTo()` Default constructor.
`PDActionRemoteGoTo(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`COSBase` `getD()` This will get the destination to jump to.
`PDFileSpecification` `getFile()` This will get the file in which the destination is located.
`OpenMode` `getOpenInNewWindow()` This will specify whether to open the destination document in a new window, in the same window, or behave in accordance with the current user preference.
`String` `getS()` Deprecated. use `PDAction.getSubType()`.
`void` `setD(COSBase d)` This will set the destination to jump to.
`void` `setFile(PDFileSpecification fs)` This will set the file in which the destination is located.
`void` `setOpenInNewWindow(boolean value)` Deprecated. use `setOpenInNewWindow(OpenMode)`
`void` `setOpenInNewWindow(OpenMode value)` This will specify whether to open the destination document in a new window.
`void` `setS(String s)` Deprecated. use `PDAction.setSubType(java.lang.String)`.
`boolean` `shouldOpenInNewWindow()` Deprecated. use `getOpenInNewWindow()`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`getCOSObject, getNext, getSubType, getType, setNext, setSubType, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUB_TYPE

    public static final String SUB_TYPE

This type of action this object represents.

See Also:
  Constant Field Values

### Constructor Detail

#### PDActionRemoteGoTo

    public PDActionRemoteGoTo()

Default constructor.

#### PDActionRemoteGoTo

    public PDActionRemoteGoTo(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getS

    @Deprecated
    public String getS()

Deprecated. use `PDAction.getSubType()`.
This will get the type of action that the actions dictionary describes. It must be GoToR for a remote go-to action.

Returns:
  The S entry of the specific remote go-to action dictionary.

#### setS

    @Deprecated
    public void setS(String s)

Deprecated. use `PDAction.setSubType(java.lang.String)`.
This will set the type of action that the actions dictionary describes. It must be GoToR for a remote go-to action.

Parameters:
  `s` - The remote go-to action.

#### getFile

    public PDFileSpecification getFile()
                                throws IOException

This will get the file in which the destination is located.

Returns:
  The F entry of the specific remote go-to action dictionary.
Throws:
  `IOException` - If there is an error creating the file spec.

#### setFile

    public void setFile(PDFileSpecification fs)

This will set the file in which the destination is located.

Parameters:
  `fs` - The file specification.

#### getD

    public COSBase getD()

This will get the destination to jump to. If the value is an array defining an explicit destination, its first element must be a page number within the remote document rather than an indirect reference to a page object in the current document. The first page is numbered 0.

Returns:
  The D entry of the specific remote go-to action dictionary.

#### setD

    public void setD(COSBase d)

This will set the destination to jump to. If the value is an array defining an explicit destination, its first element must be a page number within the remote document rather than an indirect reference to a page object in the current document. The first page is numbered 0.

Parameters:
  `d` - The destination.

#### shouldOpenInNewWindow

    @Deprecated
    public boolean shouldOpenInNewWindow()

Deprecated. use `getOpenInNewWindow()`
This will specify whether to open the destination document in a new window. If this flag is false, the destination document will replace the current document in the same window. If this entry is absent, the viewer application should behave in accordance with the current user preference.

Returns:
  A flag specifying whether to open the destination document in a new window.

#### setOpenInNewWindow

    @Deprecated
    public void setOpenInNewWindow(boolean value)

Deprecated. use `setOpenInNewWindow(OpenMode)`
This will specify the destination document to open in a new window.

Parameters:
  `value` - The flag value.

#### getOpenInNewWindow

    public OpenMode getOpenInNewWindow()

This will specify whether to open the destination document in a new window, in the same window, or behave in accordance with the current user preference.

Returns:
  A flag specifying how to open the destination document.

#### setOpenInNewWindow

    public void setOpenInNewWindow(OpenMode value)

This will specify whether to open the destination document in a new window.

Parameters:
  `value` - The flag value.